fault
action Network

# Run Network Fault Proxy

Run fault proxy to introduce network faults to streams.

Run it now
View details

Type | action
Module | chaosfault.actions
Name | run_proxy
Return | list

Usage

JSON

    {
      "name": "run-proxy",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosfault.actions",
        "func": "run_proxy",
        "arguments": {
          "proxy_args": ""
        }
      }
    }

YAML

    name: run-proxy
    type: action
    provider:
      type: python
      module: chaosfault.actions
      func: run_proxy
      arguments:
        proxy_args: ''

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
proxy_args | string |  | Yes | Proxy Arguments | fault proxy arguments for its run command https://fault-project.com/reference/cli-commands/#run-command-options
duration | float | 0 | No | Duration | Sets the window in seconds during which the proxy runs. The default of 0 means the proxy does not stop on its own
verbose | boolean | false | No | Enables Debug Logging | Make fault more verbose. Enable this only for debugging as fault can be chatty.

Run the fault proxy with the appropriate network faults.

Signature

    def run_proxy(
        proxy_args: str,
        duration: float | None = None,
        set_http_proxy_variables: bool = False,
        verbose: bool = False,
    ) -> Tuple[int, str, str]:
      pass

## Related starters

- Kubernetes
  action Network

  ## `deny_all_egress`

  Deny all egress from pods
- Kubernetes
  action Network

  ## `deny_all_ingress`

  Deny all ingress to pods
- Kubernetes
  action Network

  ## `deny_all_egress`

  Deny all egress from pods